Bug 1375228 - lz4-java: Test failures on aarch64
Summary: lz4-java: Test failures on aarch64
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lz4-java
Version: 26
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-09-12 13:59 UTC by Mikolaj Izdebski
Modified: 2018-05-29 11:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:44:40 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2016-09-12 13:59:36 UTC
%check tests are currently disabled on aarch64 because they fail.

Comment 1 gil cattaneo 2016-09-12 14:04:41 UTC
I am not interested why my packages fails test suites on arm* builders.
I close this bug

Comment 2 Peter Robinson 2016-09-12 14:31:52 UTC
This is a regression, it never use to fail. It could be covering up other issues in the java stack. If you're not going to fix it at least leave it open for tracking issues.

Comment 3 gil cattaneo 2016-09-12 14:48:19 UTC
(In reply to Peter Robinson from comment #2)
> This is a regression, it never use to fail. It could be covering up other
> issues in the java stack. If you're not going to fix it at least leave it
> open for tracking issues.

The only regression is use/support those arm arches

Comment 4 Peter Robinson 2016-09-12 14:54:34 UTC
> The only regression is use/support those arm arches

Not true. It built fine (without the tests disabled) until -3 so there's been a change/regression somewhere.

http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=21689

Comment 5 Mikolaj Izdebski 2016-09-13 04:54:48 UTC
(In reply to gil cattaneo from comment #3)
> The only regression is use/support those arm arches

You can't know that without investigating the issue. This is likely a bug in the code, which is more easily reproducible on ARM, but could affect x86 users too (causing data loss, as this is compression library). IMHO, at least upstream should be made aware of this issue.

Comment 6 Fedora End Of Life 2017-02-28 10:14:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Fedora End Of Life 2018-05-03 08:30:24 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 11:44:40 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.